The cirros image was rebuilt against the 3.13.0-83 kernel, drivers e1000e, igbvf...
[packages/trusty/cirros-testvm.git] / cirros-testvm / src-cirros / buildroot-2015.05 / package / dhcp / S80dhcp-server
diff --git a/cirros-testvm/src-cirros/buildroot-2015.05/package/dhcp/S80dhcp-server b/cirros-testvm/src-cirros/buildroot-2015.05/package/dhcp/S80dhcp-server
new file mode 100755 (executable)
index 0000000..fb99f9a
--- /dev/null
@@ -0,0 +1,41 @@
+#!/bin/sh
+#
+# $Id: dhcp3-server.init.d,v 1.4 2003/07/13 19:12:41 mdz Exp $
+#
+
+# On what interfaces should the DHCP server (dhcpd) serve DHCP requests?
+#       Separate multiple interfaces with spaces, e.g. "eth0 eth1".
+INTERFACES=""
+
+# Sanity checks
+test -f /usr/sbin/dhcpd || exit 0
+test -f /etc/dhcp/dhcpd.conf || exit 0
+test -n "$INTERFACES" || exit 0
+
+case "$1" in
+       start)
+               echo -n "Starting DHCP server: "
+               test -d /var/lib/dhcp/ || mkdir -p /var/lib/dhcp/
+               test -f /var/lib/dhcp/dhcpd.leases || touch /var/lib/dhcp/dhcpd.leases
+               start-stop-daemon -S -x /usr/sbin/dhcpd -- -q $INTERFACES
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       stop)
+               echo -n "Stopping DHCP server: dhcpd3"
+               start-stop-daemon -K -x /usr/sbin/dhcpd
+               [ $? = 0 ] && echo "OK" || echo "FAIL"
+               ;;
+       restart | force-reload)
+               $0 stop
+               sleep 2
+               $0 start
+               if [ "$?" != "0" ]; then
+                       exit 1
+               fi
+               ;;
+       *)
+               echo "Usage: /etc/init.d/dhcp-server {start|stop|restart|force-reload}"
+               exit 1
+esac
+
+exit 0